> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ATTRIBUTES SPECIFIC ERROR CODES

| HTTP STATUS CODE | FLINKS CODE           | DESCRIPTION                                                                                              | MESSAGE                                                                       | STEPS TO REPRODUCE                                                                               |
| :--------------- | :-------------------- | :------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------- | :----------------------------------------------------------------------------------------------- |
| 202              | `OPERATION_PENDING`   | Attributes cannot be completed because GetAccountsDetail is still in process.                            | Attributes endpoint called while GetAccountsDetail was still being processed. | Call Attributes before a live GetAccountsDetail has been completed.                              |
| 202              | `OPERATION_PENDING`   | Attributes endpoint called while another Attributes call is processing for the same card.                | There is an Attributes call for the same card still processing.               | Call Attributes once, then call Attributes again while the first call is still processing.       |
| 400              | `SESSION_NONEXISTENT` | Authorize has not been completed, so a session has not been opened.                                      | RequestId is invalid or session has ended.                                    | Call Attributes without a new Authorize call being made.                                         |
| 400              | `SESSION_EXPIRED`     | Attributes are called when the session has expired.                                                      | RequestId is invalid or session has ended.                                    | Wait more than 8 minutes after calling GetAccountsDetail in cache before calling Attributes.     |
| 400              | `INVALID_REQUEST`     | Incorrect name in the request body when calling Attributes.                                              | The attribute `name` is not valid.                                            | Call Attributes with an unsupported or incorrectly spelled attribute name.                       |
| 400              | `INVALID_REQUEST`     | No attributes contained within the request body.                                                         | At least a single attribute must be provided.                                 | Call Attributes with no attribute names in the request body.                                     |
| 400              | `INVALID_REQUEST`     | An unsupported filter was included in the call.                                                          | One or more filters are invalid.                                              | Call Attributes with the filter parameter set to anything other than `Operations`.               |
| 400              | `INVALID_REQUEST`     | The AccountId in AccountFilter is not valid.                                                             | The AccountId shown is not valid.                                             | Call Attributes with an unsupported AccountId.                                                   |
| 400              | `INVALID_REQUEST`     | If AccountFilter is used, at least one accountId must be provided.                                       | At least one accountId must be provided when AccountFilter is present.        | Call Attributes with the AccountFilter parameter but no accountIds.                              |
| 400              | `RETRY_LATER`         | Attribute calculations could not be completed. Please retry later or contact your Flinks representative. | We were not able to process attributes for this card.                         | N/A                                                                                              |
| 400              | `NO_TRANSACTION`      | Attribute calculations could not be completed because there were no transactions.                        | No transactions were found.                                                   | N/A                                                                                              |
| 403              | `FEATURE_DISABLED`    | Attributes is not enabled for your instance.                                                             | The Attributes feature is currently disabled for this instance.               | Call Attributes in a production environment where the clientId does not have Attributes enabled. |
| 404              | `NO_TRANSACTION`      | No transactions detected because GetAccountsDetail has not been called.                                  | No transactions were found.                                                   | Call Attributes without first calling GetAccountsDetail.                                         |
| 404              | `NO_TRANSACTION`      | No transactions detected because the account has no transactions.                                        | No transactions were found.                                                   | Call Attributes for an account that has no transactions.                                         |
| 404              | `NO_TRANSACTION`      | No transactions detected for the specified account type filter.                                          | No transactions were found.                                                   | Call Attributes when the selected account filter has no transactions.                            |
| 404              | `ACCOUNT_NOT_FOUND`   | A valid accountId must be provided when using AccountFilter.                                             | A valid accountId must be provided when using AccountFilter.                  | Use an invalid or non-existent accountId in AccountFilter.                                       |
